tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Erling Wegger Linde" <erlin...@gmail.com>
Subject Re: Could not load default SAX parser
Date Wed, 23 Jul 2008 16:52:09 GMT
Does anyone now which .jar file I should use? I've tried different
xerces, xercesImpl etc. but I haven't got it working yet..

Thanks again,
Erling

On Wed, Jul 23, 2008 at 2:10 PM, Erling Wegger Linde <erlingwl@gmail.com> wrote:
> Hi,
>
> I'm writing a Macro Plugin for Confluence.
>
> I'm using Rome to fetch an entry from an AtomPub service. Rome depends on JDOM.
>
> I get the following exception:
> org.jdom.JDOMException: Could not load default SAX parser:
> org.apache.xerces.parsers.SAXParser: SAX2 driver class
> org.apache.xerces.parsers.SAXParser does not implement XMLReader:
>
> I'm running Confluence 2.8.2 - Standalone on Ubuntu 8.04
>
> The funny thing is that everything works fine in Eclipse (run as ->
> JUnit Test) or on a mvn install ... So I guess this has something to
> do with the Tomcat being shipped with the Standalone edition..
>
> I've tried to replace a lot of jars in the ../tomcat/common/endorsed folder.
>
> I also tried /startup.sh
> -Djava.endorsed.dirs=../confluence-2.8.2-std/common/endorsed/ without
> success..
>
> Tomcat is running on Java 1.6.0_06
>
> Any ideas? I would be very grateful!
>
> Thanks,
> Erling
>



-- 
Med vennlig hilsen
Erling Wegger Linde

---------------------------------------------------------------------
To start a new topic, e-mail: users@tomcat.apache.org
To unsubscribe, e-mail: users-unsubscribe@tomcat.apache.org
For additional commands, e-mail: users-help@tomcat.apache.org


Mime
View raw message